Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.pdf.LayerPrintData Class Reference

## Public Member Functions
| LayerPrintData ()
| Constructor.
| LayerPrintData (LayerPrintData data)
| Constructor, with another layer print data object. More...
| LayerPrintData (String subtype, int print_state)
| Constructor, with parameters. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
int | getPrint_state ()
| Get layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
String | getSubtype ()
| Get a string that specifies the kind of content controlled by a layer. More...
void | set (String subtype, int print_state)
| Set value. More...
void | setPrint_state (int value)
| Set layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application. More...
void | setSubtype (String value)
| Set a string that specifies the kind of content controlled by a layer. More...

## Detailed Description

This class represents data for PDF layer printing usage.

## Constructor & Destructor Documentation

## ◆ LayerPrintData() [1/2]

com.foxit.sdk.pdf.LayerPrintData.LayerPrintData | ( | String | subtype,
|  | int | print_state
| ) |  |

Constructor, with parameters.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from com.foxit.sdk.pdf.LayerTree.e_StateON and this should be one of these values except com.foxit.sdk.pdf.LayerTree.e_StateUnchanged .

## ◆ LayerPrintData() [2/2]

com.foxit.sdk.pdf.LayerPrintData.LayerPrintData | ( | LayerPrintData | data | ) |

Constructor, with another layer print data object.

Parameters

  [in] | data | Another layer print data object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.LayerPrintData.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getPrint_state()

com.foxit.sdk.pdf.LayerPrintData.getPrint_state | ( |  | ) |

Get layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from com.foxit.sdk.pdf.LayerTree.e_StateON and this should be one of these values except com.foxit.sdk.pdf.LayerTree.e_StateUnchanged .

Returns
  Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

## ◆ getSubtype()

com.foxit.sdk.pdf.LayerPrintData.getSubtype | ( |  | ) |

Get a string that specifies the kind of content controlled by a layer.

Returns
  A string that specifies the kind of content controlled by a layer.

## ◆ set()

void com.foxit.sdk.pdf.LayerPrintData.set | ( | String | subtype,
|  | int | print_state
| ) |  |

Set value.

Parameters

  [in] | subtype | A string to specify the kind of content controlled by a layer.
  [in] | print_state | Layer usage state, indicating that the layer should be set to that state when the document is printed from a viewer application. Please refer to values starting from com.foxit.sdk.pdf.LayerTree.e_StateON and this should be one of these values except com.foxit.sdk.pdf.LayerTree.e_StateUnchanged .

Returns
  None.

## ◆ setPrint_state()

com.foxit.sdk.pdf.LayerPrintData.setPrint_state | ( | int | value | ) |

Set layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Please refer to values starting from com.foxit.sdk.pdf.LayerTree.e_StateON and this should be one of these values except com.foxit.sdk.pdf.LayerTree.e_StateUnchanged .

Parameters

  [in] | value | Layer usage state, indicating that the group should be set to that state when the document is printed from a viewer application.

Returns
  None.

## ◆ setSubtype()

com.foxit.sdk.pdf.LayerPrintData.setSubtype | ( | String | value | ) |

Set a string that specifies the kind of content controlled by a layer.

Parameters

  [in] | value | A string that specifies the kind of content controlled by a layer.

Returns
  None.